#ifndef _P1_CAMERA_LOGGING_
#define _P1_CAMERA_LOGGING_

#include <functional>

#include "C_P1CameraCommonLinkage.h"

namespace P1
{
namespace CameraSdk
{
    enum class LogMessageLevel
    {
        ERROR,
        WARNING,
        INFO,
        VERBOSE
    };

    EXPORT_API void SetSdkLoggingHandler(std::function<void(const char*, LogMessageLevel)> logHandler);
    EXPORT_API void ClearSdkLoggingHandler();
}
}

#endif // _P1_CAMERA_LOGGING_